import { IChain } from '../utils';
export declare function useSearchParam(): {
    get: (key: string, defaultValue?: string) => string | null;
    editSearchParam: (name: string, value: string | null, defaultValue?: string) => string;
    search: any;
};
export declare function useChain(): IChain | null;
export declare function useAsset(): string | null;
